Skip to main content
GET
/
api
/
ml
/
v1
/
agent-skills
List agent skills
curl --request GET \
  --url https://{controlPlaneURL}/api/ml/v1/agent-skills \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "ml_repo_id": "<string>",
      "name": "<string>",
      "fqn": "<string>",
      "created_by_subject": {
        "subjectId": "<string>",
        "subjectType": "user",
        "subjectSlug": "<string>",
        "subjectDisplayName": "<string>",
        "subjectPatName": "<string>",
        "subjectControllerName": "<string>",
        "subjectExternalIdentitySlug": "<string>"
      },
      "type": "agent-skill",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "latest_version": {
        "id": "<string>",
        "fqn": "<string>",
        "created_by_subject": {
          "subjectId": "<string>",
          "subjectType": "user",
          "subjectSlug": "<string>",
          "subjectDisplayName": "<string>",
          "subjectPatName": "<string>",
          "subjectControllerName": "<string>",
          "subjectExternalIdentitySlug": "<string>"
        },
        "manifest": {
          "name": "<string>",
          "metadata": {},
          "ml_repo": "<string>",
          "source": {
            "type": "inline",
            "skill_md": "<string>"
          },
          "version": 2,
          "type": "agent-skill"
        },
        "ml_repo_id": "<string>",
        "agent_skill_id": "<string>",
        "created_at": "2023-11-07T05:31:56Z",
        "updated_at": "2023-11-07T05:31:56Z",
        "usage_code_snippets": [
          {
            "display_name": "<string>",
            "language": "<string>",
            "code": "<string>",
            "libraries": [
              "<string>"
            ],
            "icon": "<string>"
          }
        ]
      }
    }
  ],
  "pagination": {
    "total": 100,
    "offset": 0,
    "limit": 10
  }
}

Documentation Index

Fetch the complete documentation index at: https://www.truefoundry.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

fqn
string

Fully qualified name to filter agent skills by (format: 'agent-skill:{tenant}/{ml_repo}/{agent_skill_name}')

ml_repo_id
string

ML Repo ID filter

name
string

Agent skill name filter

offset
integer
default:0

Pagination offset

limit
integer

Page size

include_empty_agent_skills
boolean
default:true

Whether to include agent skills that have no versions

Response

List of agent skills matching the query with pagination information

data
AgentSkill · object[]
required

List of agent skills matching the query

pagination
Pagination · object
required

Pagination information